# -*- rpm-spec -*-
# $Id: plptools,v 1.12 2004/02/25 18:18:02 grigory Exp $

Name: plptools
Version: 0.12
Release: alt3

Summary: Connectivity for psion series 5.
License: GPL
Group: Communications
URL: http://plptools.sourceforge.net/

Source0: http://download.sourceforge.net/plptools/plptools-%version.tar.bz2
Source1: psion

Patch0: %name-aclocal.m4.patch

Buildrequires: readline-devel libnewt-devel kdelibs-devel >= 2.1

# Automatically added by buildreq on Thu May 29 2003
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc3.2-c++ glibc-devel-static
BuildRequires: kde-i18n-ru kde-settings kdelibs-devel libXft libart_lgpl-devel libarts-devel
BuildRequires: libexpat libjpeg liblcms libmng libncurses-devel libnewt-devel libpng3-devel
BuildRequires: libqt3-devel libreadline-devel libslang libstdc++3.2-devel libtinfo-devel libxml2
BuildRequires: libxslt xml-utils zlib-devel autoconf = 2.13

%package devel
Summary: Static library and includes for psion series 5 communication.
Group: Development/Other
Requires: %name = %version

%package kde
Summary: Psion support for KDE.
Group: Graphical desktop/KDE
Requires: %name = %version

%description
This package contains the programs (client and server), necessary to
communicate with a Psion palmtop. The psion's file-system will
be automatically mounted under /mnt/psion at the time it is
connected to your computer. If the psion is shut down or
disconnected, the contents of /mnt/psion will automatically
disappear. Other programs included are:
 - plpftp, a program which allows you to transfer files in a ftp-like
   manner, view and modifiy processes on your psion.
 - plpbackup, a backup/restore utility.
 - plpprintd, a daemon for enabling printing from a Psion Series 5 via any
   accessible printer.
 - sisinstall, an installer for Psion's SIS software package format.

%description devel
This package contains the static library and include files for building
programs which can communicate with a Psion palmtop.

%description kde
This package provides support for a new protocol prefix "psion:/" for
KDE. Any KDE application which uses KDE-conforming URLs, can access
files on the Psion. Furthermore, a plugin for Konqueror's file-properties
dialog provides access to Psions proprietary file attributes and information
about the Psion's drives as well as generic machine information.

%description -l de
Dieses Packet enthlt Programme zur Kommunikation mit einem Psion Palmtop.
Das Dateisystem des Psion wird beim Anschlieen automatisch unter
/mnt/psion eingehngt. Wird der Psion ausgeschaltet oder das Kabel
gezogen, so verschwindet der Inhalt dieses Verzeichnisses automatisch
und erscheint erneuten Anschlieen wieder. Weiterhin sind enthalten:
 - plpftp, ein Programm welches eine FTP-hnliche Oberflche fr Dateitransfer
   bietet und Prozesse auf dem Psion stoppen und starten kann.
 - plpbackup, ein Backup/Restore Utility fr die Kommandozeile.
 - plpprintd, ein Daemon welcher Ausdrucken von einem Psion Serie 5 ber
   beliebige vefgbare Drucker ermglicht
 - sisinstall, ein Installationsprogramm fr das Psion-eigene SIS
   packetformat.

%description -l de devel
Dieses Packet enthlt die statische Bibliothek und include-Dateien
zur Programm-Entwicklung von Kommunikations-software fr den Psion.

%description -l de kde
Dieses Packet stellt Untersttzung fr eine neues Protokoll-Prfix "psion:/"
fr KDE bereit. Jede KDE Anwendung, die KDE-konforme URLs benutzt, kann
damit auf die Dateien eines Psion zugreifen. Weiterhin, liefert ein Plugin
fr Konqueror's Datei-Eigenschaften-Dialog Informationen ber proprietre
Psion-Dateiattribute und stellt Informationen zum Gert sowie seiner
Laufwerke zur Verfgung.

%package -n kpsion
Summary: Psion utility for KDE.
Group: Graphical desktop/KDE
Requires: %name-kde = %version

%description -n kpsion
This package contains a KDE utility program for backup, restore and formatting
Psion drives.

%description -l de -n kpsion
Dieses Packet enthlt ein KDE Werkzeug zum Backup, Restore und Formatieren
von Psion Laufwerken.

%package -n klipsi
Summary: Psion remote clipboard utility for KDE.
Group: Graphical desktop/KDE
Requires: %name-kde = %version

%description -n klipsi
This package contains a KDE utility for using the Psion's remote clipboard
function.

%description -l de -n klipsi
Dieses Packet enthlt ein KDE Werkzeug zum Transfer der Zwischenablage
zwischen Psion und Rechner.


%prep
%setup -q
%patch0 -p1
%__subst 's| = 0L\() {\)|\1|' lib/psitime.cc
subst "s|\(LIB_QT=.*\)'|\1 \$(QT_LDFLAGS) \$(X_LDFLAGS)'|" aclocal.m4

%build
%set_autoconf_version 2.13
%__autoconf
%configure \
	--enable-kde \
	--disable-rpath \
	--with-serial=/dev/ttyS0 \
	--with-initdir=%_initrddir \
	--with-qt-dir=%_libdir/qt3
%make_build

%install
%__mkdir_p %buildroot{%_prefix,%_initrddir}
%__make DESTDIR=%buildroot install
%__install -m 644 conf/kiodoc-update.pl %buildroot%_datadir/%name/kiodoc-update.pl
%__mkdir_p %buildroot%_sysconfdir/sysconfig

%__cat>%buildroot%_sysconfdir/sysconfig/psion<<EOF
START_NCPD=yes
NCPD_ARGS=
START_PLPNFSD=no
PLPNFSD_ARGS=
START_PLPPRINTD=yes
PLPPRINTD_ARGS=
EOF
%__install -m755 %SOURCE1 %buildroot%_initrddir/psion
find %buildroot -type f -name "*.la" -exec %__rm -f {} \;

%post -p /sbin/ldconfig
%post_service psion
%postun -p /sbin/ldconfig

%preun
%preun_service psion

%files
%doc COPYING INSTALL CHANGES ChangeLog README TODO etc/*magic patches
%config %_sysconfdir/sysconfig/psion
%_initrddir/psion
%_bindir/plp*
%_bindir/sisinstall
%_sbindir/*
%_libdir/libplp*.so.*
%_datadir/locale/*/LC_MESSAGES/plptools.mo
%_datadir/%name/fontmap
%_datadir/%name/prolog.ps
%_man1dir/*
%_man8dir/*

%files devel
%doc doc/api etc/*.spec
%_includedir/%name/*
%_libdir/libplp*.a
%_libdir/libplp*.*so

%files kde
%_libdir/kde3/*.so*
%_libdir/kde3/*.a
%_datadir/apps/konqueror
%_datadir/doc/HTML/*/kioslave
%_datadir/icons/*/*/*/psion*
%_datadir/icons/*/*/*/x_psion*
%_datadir/locale/*/LC_MESSAGES/libplpprops.mo
%_datadir/mimelnk/*
%_datadir/%name/kiodoc-update.pl
%_datadir/services/*

%files -n kpsion
%_bindir/kpsion
%_libdir/libkpsion*.so.*
%_libdir/libkpsion*.a
%_datadir/applnk/Utilities/kpsion.*
%_datadir/apps/kpsion
%_datadir/doc/HTML/*/kpsion
%_datadir/icons/*/*/apps/kpsion*
%_datadir/locale/*/LC_MESSAGES/kpsion.mo

%files -n klipsi
%_bindir/klipsi
%_libdir/klipsi*.so.*
%_libdir/klipsi*a
%_datadir/applnk/Utilities/klipsi.*
%_datadir/apps/klipsi
%_datadir/icons/*/*/*/klipsi*
%_datadir/locale/*/LC_MESSAGES/klipsi.mo


%changelog
* Fri Dec 12 2003 Grigory Milev <week@altlinux.ru> 0.12-alt3
- remove *.la files due policy

* Tue Sep 30 2003 Grigory Milev <week@altlinux.ru> 0.12-alt2
- add --with-serial=/dev/ttyS0

* Wed May 28 2003 Grigory Milev <week@altlinux.ru> 0.12-alt1
- ALT Linux adaptations

* Fri May 25 2001 Fritz Elfert <fritz.elfert@to.com>
- Added klipsi subpackage

* Thu May 17 2001 Fritz Elfert <fritz.elfert@to.com>
- Official release of version 0.8

* Thu Mar  1 2001 Fritz Elfert <fritz.elfert@to.com>
- Added KDE sub-packages

* Sat Jan 20 2001 Fritz Elfert <fritz.elfert@to.com>
- Updated to latest version
- Using RPM 4 (RH 7.0)

* Mon Jan 17 2000 Fritz Elfert <fritz.elfert@to.com>
- New version 0.5 with lots of bugfixes and additions.

* Sat Aug  7 1999 Fritz Elfert <fritz.elfert@to.com>
- fixed violation of const parameters in rfsv32.cc.
- corrected BLOCKSIZE in mp.h to fix behaviour of "du" program.

